ifx_fieldproperties
ifx_free_blob
Informix Functions
PHP Manual

# ifx_fieldtypes

(No version information available, might be only in CVS)

ifx_fieldtypes — List of Informix SQL fields

### Description

array ifx_fieldtypes ( resource `$result_id` )

Returns an associative array with fieldnames as key and the SQL fieldtypes as data for the query associated with `result_id` .

### Parameters

`result_id`

  `result_id` is a valid resultid returned by ifx_query() or ifx_prepare() (select type queries only!).

### Return Values

Returns an associative array with fieldnames as key and the SQL fieldtypes as data for query with `result_id` . Returns `FALSE` on error.

### Examples

Example #1 Fieldnames and SQL fieldtypes

`<?php
$types = ifx_fieldtypes($resultid);
if (is_array($types)) {
foreach ($types as $fname => $val) {
echo "$fname:\t type = $val\n";
}
}
?>`

### See Also

- ifx_fieldproperties()

ifx_fieldproperties
ifx_free_blob
Informix Functions
PHP Manual